Accounts

List of active accounts in organization

get
Responses
chevron-right
200

Default Response

application/json
get
/api/v1/accounts
200

Default Response

Get account

get
Path parameters
accountIdstring · uuidRequiredPattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Responses
chevron-right
200

Default Response

application/json
idstring · uuidRequiredPattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
namestringRequired
baseCurrencystringRequired
aggregatedBalanceany ofRequired
or
undefined · enum · nullableOptionalPossible values:
isReadOnlybooleanRequired
get
/api/v1/accounts/{accountId}
200

Default Response

Get available payment instructions for account

get
Path parameters
accountIdstring · uuidRequiredPattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Responses
chevron-right
200

Default Response

application/json
get
/api/v1/accounts/{accountId}/payment-instructions

Update account name

patch
Path parameters
accountIdstring · uuidRequiredPattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Body
namestring · min: 3 · max: 100Required
Responses
chevron-right
200

Default Response

application/json
idstring · uuidRequiredPattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
namestringRequired
baseCurrencystringRequired
patch
/api/v1/accounts/{accountId}/name

Last updated